Package org.eclipse.cdt.utils

# Class DefaultCygwinToolFactory

java.lang.Object
org.eclipse.cdt.utils.DefaultGnuToolFactory
org.eclipse.cdt.utils.DefaultCygwinToolFactory

All Implemented Interfaces:
  `ICygwinToolsFactroy`, `IGnuToolFactory`

public class DefaultCygwinToolFactory extends DefaultGnuToolFactory implements ICygwinToolsFactroy

## Field Summary

### Fields inherited from class org.eclipse.cdt.utils.DefaultGnuToolFactory

`fExtension`

## Constructor Summary

Constructors
Constructor
Description
`DefaultCygwinToolFactory(ICExtension ext)`

## Method Summary

Modifier and Type
Method
Description
`CygPath`
`getCygPath()`
`protected org.eclipse.core.runtime.IPath`
`getCygPathPath()`

### Methods inherited from class org.eclipse.cdt.utils.DefaultGnuToolFactory

`getAddr2line, getAddr2linePath, getCPPFilt, getCPPFiltPath, getNM, getNMArgs, getNMPath, getObjdump, getObjdumpArgs, getObjdumpPath, getStripPath`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.cdt.utils.IGnuToolFactory

`getAddr2line, getCPPFilt, getNM, getObjdump`

## Constructor Details

### DefaultCygwinToolFactory

public DefaultCygwinToolFactory(ICExtension ext)

## Method Details

### getCygPath

public CygPath getCygPath()

Specified by:
  `getCygPath` in interface `ICygwinToolsFactroy`

### getCygPathPath

protected org.eclipse.core.runtime.IPath getCygPathPath()